## dufflebag 0.0~git20200205.9a01942

=== Makefile ===
all:
	GOOS=linux GOARCH=amd64 go build -o application application.go inspector.go blacklist.go region.go
	GOOS=linux GOARCH=amd64 go build -o populate populate.go region.go
	zip -r dufflebag.zip application populate .ebextensions/

clean:
	rm -f application populate dufflebag.zip

=== debian/changelog ===
dufflebag (0.0~git20200205.9a01942-0kali3) kali-dev; urgency=medium

  * Fix typo in helper-script

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 04 Oct 2021 13:20:49 +0200

dufflebag (0.0~git20200205.9a01942-0kali2) kali-dev; urgency=medium

  * Add a patch to fix dufflebag.zip build with golang 1.16

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Sep 2021 16:22:15 +0200

dufflebag (0.0~git20200205.9a01942-0kali1) kali-dev; urgency=medium

  * Initial release (see 6892)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Aug 2021 16:39:45 +0200

=== debian/control ===
Source: dufflebag
Section: misc
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://gitlab.com/kalilinux/packages/dufflebag
Vcs-Git: https://gitlab.com/kalilinux/packages/dufflebag.git
Homepage: https://github.com/BishopFox/dufflebag
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/BishopFox/dufflebag

Package: dufflebag
Architecture: all
Depends: ${misc:Depends},
	 golang-any,
         golang-github-aws-aws-sdk-go-dev,
         golang-github-deckarep-golang-set-dev,
         golang-lukechampine-blake3-dev (>= 1.1.5),
	 make,
	 sensible-utils,
	 zip
Built-Using: ${misc:Built-Using}
Description: Search exposed EBS volumes for secrets (program)
 Dufflebag is a tool that searches through public Elastic Block Storage (EBS)
 snapshots for secrets that may have been accidentally left in.
 .
 The tool is organized as an Elastic Beanstalk ("EB", not to be confused
 with EBS) application, and definitely won't work if you try to run it
 on your own machine.
 .
 Dufflebag has a lot of moving pieces because it's fairly nontrivial
 to actually read EBS volumes in practice. You have to be in an AWS
 environment, clone the snapshot, make a volume from the snapshot, attach
 the volume, mount the volume, etc... This is why it's made as an Elastic
 Beanstalk app, so it can automagically scale up or down however much you
 like, and so that the whole thing can be easily torn down when you're
 done with it.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# do not build anything

=== debian/tests/control ===
Test-Command: dufflebag -h
Restrictions: superficial

Test-Command: dufflebag eu-north-1

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/BishopFox/dufflebag.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dufflebag-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/BishopFox/dufflebag/tags .*/v?(\d\S*)\.tar\.gz debian
